<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: LASi::PostscriptDocument::GlyphId Class Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceLASi.html">LASi</a>::<a class="el" href="classLASi_1_1PostscriptDocument.html">PostscriptDocument</a>::<a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html">GlyphId</a></div>
<h1>LASi::PostscriptDocument::GlyphId Class Reference</h1><!-- doxytag: class="LASi::PostscriptDocument::GlyphId" -->For internal use only.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="LASi_8h-source.html">LASi.h</a>&gt;</code>
<p>

<p>
<a href="classLASi_1_1PostscriptDocument_1_1GlyphId-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#3830443c4031142a3db0d54b17239a82">GlyphId</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#72ce2a006a4b5fc17241231caba5f0af">GlyphId</a> (FT_Face, const FT_UInt)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#fdaeed79bb17dd2709becd0e061b6e5c">str</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="return" compact><dt><b>Returns:</b></dt><dd>string representation of glyph id </dd></dl>
 <a href="#fdaeed79bb17dd2709becd0e061b6e5c"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">std::string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#f2241e7bf5673e74432664c205986712">_str</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="return" compact><dt><b>Returns:</b></dt><dd>string representation of glyph id </dd></dl>
 <a href="#f2241e7bf5673e74432664c205986712"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Friends</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#6018f44f541e78f0f6b065ccf6609a10">operator==</a> (const <a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html">GlyphId</a> id1, const <a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html">GlyphId</a> id2)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#b3ff6791a53d17197f8fd45d35619beb">operator&lt;</a> (const <a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html">GlyphId</a> id1, const <a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html">GlyphId</a> id2)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
For internal use only. 
<p>
<p><b>For internal use only.</b></p>
<p>
A unique id for a glyph that is composed of its font face and a unique integer. </p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="3830443c4031142a3db0d54b17239a82"></a><!-- doxytag: member="LASi::PostscriptDocument::GlyphId::GlyphId" ref="3830443c4031142a3db0d54b17239a82" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">LASi::PostscriptDocument::GlyphId::GlyphId           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="72ce2a006a4b5fc17241231caba5f0af"></a><!-- doxytag: member="LASi::PostscriptDocument::GlyphId::GlyphId" ref="72ce2a006a4b5fc17241231caba5f0af" args="(FT_Face, const FT_UInt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PostscriptDocument::GlyphId::GlyphId           </td>
          <td>(</td>
          <td class="paramtype">FT_Face&nbsp;</td>
          <td class="paramname"> <em>face</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const &nbsp;</td>
          <td class="paramname"> <em>FT_UInt</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="fdaeed79bb17dd2709becd0e061b6e5c"></a><!-- doxytag: member="LASi::PostscriptDocument::GlyphId::str" ref="fdaeed79bb17dd2709becd0e061b6e5c" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string LASi::PostscriptDocument::GlyphId::str           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>string representation of glyph id </dd></dl>

<p>

</div>
</div><p>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="6018f44f541e78f0f6b065ccf6609a10"></a><!-- doxytag: member="LASi::PostscriptDocument::GlyphId::operator==" ref="6018f44f541e78f0f6b065ccf6609a10" args="(const GlyphId id1, const GlyphId id2)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool operator==           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html">GlyphId</a>&nbsp;</td>
          <td class="paramname"> <em>id1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html">GlyphId</a>&nbsp;</td>
          <td class="paramname"> <em>id2</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b3ff6791a53d17197f8fd45d35619beb"></a><!-- doxytag: member="LASi::PostscriptDocument::GlyphId::operator&lt;" ref="b3ff6791a53d17197f8fd45d35619beb" args="(const GlyphId id1, const GlyphId id2)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool operator&lt;           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html">GlyphId</a>&nbsp;</td>
          <td class="paramname"> <em>id1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html">GlyphId</a>&nbsp;</td>
          <td class="paramname"> <em>id2</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="f2241e7bf5673e74432664c205986712"></a><!-- doxytag: member="LASi::PostscriptDocument::GlyphId::_str" ref="f2241e7bf5673e74432664c205986712" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string <a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#f2241e7bf5673e74432664c205986712">LASi::PostscriptDocument::GlyphId::_str</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>string representation of glyph id </dd></dl>

<p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="LASi_8h-source.html">LASi.h</a><li><a class="el" href="psDoc_8cpp.html">psDoc.cpp</a></ul>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
